
/* length.h */

/* Bits in size, i.e. 2^bits=size
     7 = 128x128
     8 = 256x256
     9 = 512x512
    10 = 1024x1024
*/

#define BITS_SIZE  8


/* sizes.h */

#define SIZE    (1<<BITS_SIZE) /* Size of lattice. */

#define SITES   (SIZE*SIZE)   /* No of sites in array */
#define MAXINT  (SITES<<2)    /* Larger than any real cluster_label */

#define DIMS         2
#define DIMENSIONS (DIMS)


/* addecl.h */

#define ADIT_BITS 1
#define MASK_LOW  ((1<<BITS_SIZE)-1)

#define  TRUE  (1==1)
#define  FALSE (0==1)

/* Additional unrelated decl .... */
#define SQR(A)   ((A)*(A))


/* types.h */

#define LatType bool
#define AuxType unsigned int

#define SpinTp  LatType
#define LabelTp AuxType


/* comlat.h */

extern shape  [SIZE][SIZE]lattice;    

extern AuxType:lattice Label_cluster;  /*  cluster site belongs to */
extern LatType:lattice spin;           /*  spin value (for Ising) */

